Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class TransitionPolicyImpl

    java.lang.Object
      com.beasys.commerce.foundation.TransitionPolicyImpl

All Implemented Interfaces
  BusinessPolicy, BusinessSmartComponent, TransitionPolicy, Serializable

Deprecated

    @Deprecated
    public class TransitionPolicyImpl

extends Object
implements TransitionPolicy

An action to be completed when a `Transistion` takes place on a `StateMachine`.

See Also
  `TransitionPolicy`, `TransitionPolicyHome`, Serialized Form

Constructor Summary
`TransitionPolicyImpl()` Deprecated This class implements the singleton pattern.

Method Summary
`protected static TransitionPolicy` | `getInstance()` Deprecated getInstance returns the singleton instance for this class.
`void` | `transition(Transition trans)` Deprecated The method that is invoked as the result of a state transition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransitionPolicyImpl

    public TransitionPolicyImpl()

  Deprecated
  This class implements the singleton pattern.

  See Also
    `getInstance()`

Method Detail

### transition

    public void transition(Transition trans)
                    throws RemoteException

  Deprecated
  The method that is invoked as the result of a state transition.

  Specified by:
    `transition` in interface `TransitionPolicy`
  Throws
    `RemoteException`

### getInstance

    protected static TransitionPolicy getInstance()

  Deprecated
  getInstance returns the singleton instance for this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.